aboutsummaryrefslogtreecommitdiff
path: root/system/pdksh/doinst.sh
diff options
context:
space:
mode:
authorAzure Zanculmarktum <zanculmarktum@gmail.com>2017-07-06 00:53:43 -0500
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2017-07-12 22:48:52 +0700
commit5494138f2ba8684ba925cbf81d88373d19c9c738 (patch)
tree6fa2da6192c4e74fbab58c84cd55223c1fadf14b /system/pdksh/doinst.sh
parent3a4036017124f2dd0e31ba5e6e5a22855848f508 (diff)
system/pdksh: Added (the Public Domain Korn Shell)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/pdksh/doinst.sh')
-rw-r--r--system/pdksh/doinst.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/system/pdksh/doinst.sh b/system/pdksh/doinst.sh
new file mode 100644
index 0000000000000..3eaf3ecea2edc
--- /dev/null
+++ b/system/pdksh/doinst.sh
@@ -0,0 +1,10 @@
+# Add entries to /etc/shells if we need them
+if [ ! -r etc/shells ] ; then
+ touch etc/shells
+ chmod 644 etc/shells
+fi
+
+if ! grep -Fqs "/bin/pdksh" etc/shells ; then
+ echo "/bin/pdksh" >> etc/shells
+fi
+